Bug 823208 - no video input device
no video input device
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 19:15 EDT by Karel Volný
Modified: 2013-08-06 08:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: linphone-3.6.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:04:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-05-19 19:15:59 EDT
Description of problem:
Enabling video from the main menu does nothing, the calls are audio-only.
Going to multimedia settings, the list of video input devices is empty, despite there is a working webcam in my laptop.

Version-Release number of selected component (if applicable):
linphone-3.5.2-3.fc17.x86_64

How reproducible:
always

Additional info:
# ls -lZ /dev/video0 
crw-rw----+ root video system_u:object_r:v4l_device_t:s0 /dev/video0

# lsusb
...
Bus 001 Device 004: ID 17ef:480f Lenovo Integrated Webcam [R5U877]

the webcam works in other applications
Comment 1 nucleo 2012-05-19 19:37:05 EDT
Linphone built with --disable-video because video support requires ffmpeg not only for patented codecs but also for rescaling (as I understood).
Maybe this will be changed in the future (by using rescaling from libvpx or something like that) but at this moment no video support available.
Comment 2 Karel Volný 2012-05-21 05:22:19 EDT
(In reply to comment #1)
> Linphone built with --disable-video

ahem, ahem, hold on a bit ... I can checkmark a menu item to use video, I can choose the video size etc., the only thing missing is the video input device

this is a bit confusing - if video is disabled altogether then these options should not be present or at least they should be grayed out

having the option to choose a video device with no devices present even if there should be one leads to investigating what's wrong with drivers, device permissions, selinux issues etc. etc. => a lot of time spent in vain

not having any video options at all leads to investigation what's wrong with video support in general => reading somewhere that it is disabled

if this is out of scope of the packaging then it should be propagated upstream - as I have no relation to linphone development, I hope the packagers will act as proxy, thus reopening ...

well, IMHO there's at least one thing to fix in Fedora - the package description should tell that the package is built with video support disabled (it'd be more useful than listing other sip software ;-))

> because video support requires ffmpeg not only for patented codecs but also
> for rescaling (as I understood).

would that be possible to build with optional ffmpeg support? - i.e. that the package wouldn't require ffmpeg and linphone would run without it, but if ffmpeg is installed linphone would use it?

> Maybe this will be changed in the future (by using rescaling from libvpx or
> something like that) but at this moment no video support available.

what does "the future" mean? - I see libvpx already available in Fedora, googling "linphone libvpx" gives me some results from Aug 2011 indicating that the code was already there by that time, what blocks its usage in Fedora?
Comment 3 nucleo 2012-05-21 09:09:47 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Linphone built with --disable-video
> 
> ahem, ahem, hold on a bit ... I can checkmark a menu item to use video, I
> can choose the video size etc., the only thing missing is the video input
> device
> 
> this is a bit confusing - if video is disabled altogether then these options
> should not be present or at least they should be grayed out
> 
> having the option to choose a video device with no devices present even if
> there should be one leads to investigating what's wrong with drivers, device
> permissions, selinux issues etc. etc. => a lot of time spent in vain
> 
> not having any video options at all leads to investigation what's wrong with
> video support in general => reading somewhere that it is disabled
> 
> if this is out of scope of the packaging then it should be propagated
> upstream - as I have no relation to linphone development, I hope the
> packagers will act as proxy, thus reopening ...

If you can provide patch removing video options then I can apply it and send to  upstream.

> > because video support requires ffmpeg not only for patented codecs but also
> > for rescaling (as I understood).
> 
> would that be possible to build with optional ffmpeg support? - i.e. that
> the package wouldn't require ffmpeg and linphone would run without it, but
> if ffmpeg is installed linphone would use it?

I think that there is can be binary incompatibility between mediastreamer built with and without ffmpeg (and video support), so maybe it is not enough to just build mediastreamer in RPM Fusion and run linphone using it.

> 
> > Maybe this will be changed in the future (by using rescaling from libvpx or
> > something like that) but at this moment no video support available.
> 
> what does "the future" mean? - I see libvpx already available in Fedora,
> googling "linphone libvpx" gives me some results from Aug 2011 indicating
> that the code was already there by that time, what blocks its usage in
> Fedora?

This is all what I know from Simon MORLAT's email:

> About rescaling: there is a perhaps in rescaling API in libvpx, however
> this is not a 5 mn work to integrate it into the ms_scaler api of
> mediastreamer2.
Comment 4 Karel Volný 2012-08-24 10:08:46 EDT
(In reply to comment #3)
...
> If you can provide patch removing video options then I can apply it and send
> to  upstream.

no, I'm no programmer :-(

> I think that there is can be binary incompatibility between mediastreamer
> built with and without ffmpeg (and video support), so maybe it is not enough
> to just build mediastreamer in RPM Fusion and run linphone using it.

... and in addition, it doesn't build with current ffmpeg-devel-0.11.1-1.fc18; but there seem to be some patches to this in git (can't they have a nice webgit interface like everyone else? :-/)

any chance you'd be willing to maintain alternate linphone package with video support via ffmpeg until libvpx is usable?
Comment 5 nucleo 2012-08-24 10:22:56 EDT
Unfortunately, linphone developers not very often answers on my mails, so after some point I am not trying to send mails them. 
Such issue as removing video options if built without ffmpeg almost certainly will be ignored by them.

I tried some time ago to package linphone and mediastreamer in RPM Fusion, but maybe it needs rework now (including ffmpeg-0.11 compatibility which I didn't tried yet):

https://bugzilla.rpmfusion.org/show_bug.cgi?id=1922
https://bugzilla.rpmfusion.org/show_bug.cgi?id=1927

I can't found web interface for git.linphone.org.
Comment 6 Fedora Admin XMLRPC Client 2013-01-29 08:03:59 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-11 17:12:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-07-04 01:35:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora Update System 2013-07-28 16:23:29 EDT
linphone-3.6.1-2.fc19,ortp-0.22.0-1.fc19,kdenetwork-4.10.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/linphone-3.6.1-2.fc19,ortp-0.22.0-1.fc19,kdenetwork-4.10.5-3.fc19
Comment 10 Fedora Update System 2013-07-30 13:29:25 EDT
Package linphone-3.6.1-2.fc19, ortp-0.22.0-1.fc19, kdenetwork-4.10.5-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing linphone-3.6.1-2.fc19 ortp-0.22.0-1.fc19 kdenetwork-4.10.5-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13833/linphone-3.6.1-2.fc19,ortp-0.22.0-1.fc19,kdenetwork-4.10.5-3.fc19
then log in and leave karma (feedback).
Comment 11 nucleo 2013-07-30 15:43:24 EDT
What graphics driver you use?
Looks like for some drivers video output window broken (video actually transmitted/revived but not displayed).
Comment 12 Karel Volný 2013-07-31 06:38:23 EDT
(In reply to nucleo from comment #11)
> What graphics driver you use?

intel

> Looks like for some drivers video output window broken (video actually
> transmitted/revived but not displayed).

well, yes, I have some troubles[*], but the basic problem of this bug - the video device support - doesn't seem to be the cause, as the video options work and I can see myself

[*] we were unable to establish video connection between two linphones; trying to read the log, I got impression it is a network problem but I hadn't time to investigate further ... if you give me step-by-step instructions how to debug, saving me the time to figure out the process myself, it may help, but, anyways, I guess it'd be better to open a new bug for it (I'll do that once the issue urges me to do so, or feel free to CC me on the relevant bug if opened by someone else and I'll try to find some spare time to test)
Comment 13 Fedora End Of Life 2013-08-01 16:04:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 nucleo 2013-08-02 09:02:37 EDT
If you behind NAT can tou try to setup NAT/STUN, using for example stun.ekiga.net as STUN server?
Comment 15 Fedora Update System 2013-08-04 19:04:21 EDT
linphone-3.6.1-2.fc19, ortp-0.22.0-1.fc19, kdenetwork-4.10.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Karel Volný 2013-08-05 06:12:43 EDT
(In reply to nucleo from comment #14)
> If you behind NAT can tou try to setup NAT/STUN, using for example
> stun.ekiga.net as STUN server?

this is the default, and I've played with UPnP; anyways, if sound goes through NAT, then video should too

btw, does the video work for you?
Comment 17 nucleo 2013-08-05 12:12:23 EDT
Video works for me, I can see both incoming and outgoing videos on eeepc with gma500 driver, but on PC with nvidea and nouveau drivers video window broken but at least outgoing video transmitted.
Comment 18 Karel Volný 2013-08-06 08:17:45 EDT
(In reply to nucleo from comment #17)
> Video works for me, I can see both incoming and outgoing videos on eeepc
> with gma500 driver, but on PC with nvidea and nouveau drivers video window

lucky you ...

> broken but at least outgoing video transmitted.

not in my case, the log says no video was transmitted; I've filed bug 993780 for this issue ... and I've hit bug 993721 meanwhile :-(

Note You need to log in before you can comment on or make changes to this bug.